{ lib, pkgs, config, ... }:

with lib;
let
  cfg = config.vm.guest-services;
in
{
  options.vm.guest-services = {
    enable = mkEnableOption "enable virtual machine guest services";
  };

  config = mkIf cfg.enable {
    services.qemuGuest.enable = true;
    services.spice-vidagentd.enable = true;
    services.spice-webdavd.enable = true;
  };
}